Bug 442819 - Yum crash when metadata doesn't match checksum, and there's no other mirrors to try
Yum crash when metadata doesn't match checksum, and there's no other mirrors ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 444831 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 20:24 EDT by Adrian "Adi1981" P.
Modified: 2014-01-21 18:02 EST (History)
6 users (show)

See Also:
Fixed In Version: 3.2.16-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 22:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adrian "Adi1981" P. 2008-04-16 20:24:11 EDT
While updating system with newest yum -10, if metadata file doesn't match
checksum, and yum doesn't have any other mirror to try, it crashes with
following backtrace: 

yum update -y
Wczytane wtyczki: aliases, allowdowngrade, changelog, downloadonly, fedorakmod,
                : kernel-module, list-data, merge-conf, presto, priorities,
                : security, tsflags, verify, versionlock
Setting up and reading Presto delta metadata
No Presto metadata available for livna-development
No Presto metadata available for koji
No Presto metadata available for livna
No Presto metadata available for rawhide
Wykluczanie pakietów na globalnej liście wykluczonych pakietów
Finished
Skipping security plugin, no data
Reading version lock configuration
Ustawianie procesu aktualizacji
Rozwiązywanie zależności
Skipping security plugin, no data
--> Wykonywanie sprawdzania transakcji
---> Pakiet libgfortran.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet libobjc.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet PackageKit.i386 0:0.1.12-4.20080416git.fc9 zostanie zaktualizowany
---> Pakiet libgnat.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet libgcj.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet libgomp.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet mesa-libGLU-devel.i386 0:7.1-0.25.fc9 zostanie zaktualizowany
---> Pakiet gnome-packagekit.i386 0:0.1.12-5.20080416git.fc9 zostanie zaktualizowany
---> Pakiet PackageKit-libs.i386 0:0.1.12-4.20080416git.fc9 zostanie zaktualizowany
---> Pakiet xorg-x11-server-Xorg.i386 0:1.4.99.901-22.20080415.fc9 zostanie
zaktualizowany
---> Pakiet gcc.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet PackageKit-devel.i386 0:0.1.12-4.20080416git.fc9 zostanie zaktualizowany
---> Pakiet mesa-libGL-devel.i386 0:7.1-0.25.fc9 zostanie zaktualizowany
---> Pakiet glx-utils.i386 0:7.1-0.25.fc9 zostanie zaktualizowany
---> Pakiet mesa-libGL.i386 0:7.1-0.25.fc9 zostanie zaktualizowany
---> Pakiet mesa-libGLU.i386 0:7.1-0.25.fc9 zostanie zaktualizowany
---> Pakiet libmudflap.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet mesa-libOSMesa.i386 0:7.1-0.25.fc9 zostanie zaktualizowany
---> Pakiet xorg-x11-server-common.i386 0:1.4.99.901-22.20080415.fc9 zostanie
zaktualizowany
---> Pakiet gcc-c++.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet cpp.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet libgcc.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet libstdc++.i386 0:4.3.0-7 zostanie zaktualizowany
---> Pakiet xorg-x11-drv-openchrome.i386 0:0.2.902-1.fc9 zostanie zaktualizowany
---> Pakiet yum-packagekit.i386 0:0.1.12-4.20080416git.fc9 zostanie zaktualizowany
---> Pakiet libstdc++-devel.i386 0:4.3.0-7 zostanie zaktualizowany
filelists.sqlite.bz2                                     | 9.8 MB     00:33
http://koji.fedoraproject.org/static-repos/dist-f9-build-current/i386/repodata/filelists.sqlite.bz2:
[Errno -1] Metadata file does not match checksum
Próbowanie innego serwera lustrzanego.
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 241, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 157, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 626, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 657, in resolveDeps
    for po, dep in self._checkFileRequires():
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 862, in
_checkFileRequires
    if not self.tsInfo.getOldProvides(filename) and not
self.tsInfo.getNewProvides(filename):
  File "/usr/lib/python2.5/site-packages/yum/transactioninfo.py", line 411, in
getNewProvides
    for pkg, hits in self.pkgSack.getProvides(name, flag, version).iteritems():
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 295, in
getProvides
    return self._computeAggregateDictResult("getProvides", name, flags, version)
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 447, in
_computeAggregateDictResult
    sackResult = apply(method, args)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 721, in
getProvides
    return self._search("provides", name, flags, version)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 39, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 700, in _search
    for pkg in self.searchFiles(name, strict=True):
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 39, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 450, in
searchFiles
    cur = cache.cursor()
AttributeError: 'NoneType' object has no attribute 'cursor'


Version-Release number of selected component (if applicable):
yum-3.2.14-10.fc9.noarch

How reproducible:
Always when there are some problems with checksum of metadata file on server,
and there's no more mirrors to dl this metadata file.
Comment 1 James Antill 2008-04-30 17:29:25 EDT
*** Bug 444831 has been marked as a duplicate of this bug. ***
Comment 2 Fedora Update System 2008-05-16 15:05:43 EDT
yum-3.2.16-1.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-05-18 11:17:02 EDT
yum-3.2.16-2.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-05-28 22:37:08 EDT
yum-3.2.16-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.